ROHTO BUGS - Bug #385

Perbaikan ESS Overtime pada Table Body
06/09/2021 01:22 PM - Muhammad Bintar

Status: Closed Start date: 06/09/2021
Priority: Immediate Due date: 06/28/2021
Assignee: Saswanto Tampan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear tim developer, mohon untuk Table Body pada ESS Overtime difungsikan sama seperti BBG Dev
Kondisi saat ini :

1. DayType tidak terbaca
2. Day Before Flag ingin difungsikan autoload otomatis sama seperti BBG Dev
Untuk Filter Assignment Notes pada saat memilih Leave, minta dibuatkan query untuk postin data ke Absence Halfday jika :
Kondisi 1, jika duration overtime nya minimal 4 jam maka absence halfday 0,5 dan status Available.
Kondisi 2, jika duration overtime minimal 8 jam maka absence halfday nya cuti 0,5 dan status Available dengan 2 row.

Untuk Filter Assignment Notes pada saat memilih Cash, minta dibuatkan query untuk posting data ke Master Data Overtime dengan
ketentuan:

1. StartDate dan EndDate disamakan dengan saat pemilihan StartDate Enddate pada ESS Overtime.

2. StartDateDeduction tetap sama seperti kondisi 1 , EndDateDeduction dibuat 2 minggu setelah StartDate
Rohto Production

remote.minovais.com:61121

Database SQL SERVER 2019
remote.minovais.com, 1445\MSSQLSERVER2019

History

#1 - 06/10/2021 09:47 AM - Muhammad Bintar

- Description updated

#2 - 06/25/2021 09:42 AM - Kezia Pawitra Yulianti
- Due date changed from 06/14/2021 to 06/28/2021
- Status changed from New to Assigned

- Priority changed from Normal to Immediate

ini jg yaa lip, tolong karena bugs client
Koreksi sedikit, jika assignment note nya adalah cash tidak perlu posting ke master data absence half day...cukup posting ke masterdata overtime
saja (PHRPAO0016).

Bintar, tolong cek dl field posting nya udah disiapkan semuanya ya.
Tks

#3 - 06/25/2021 10:13 AM - Muhammad Bintar

Update:

update file hardcode di :
C:\ClientManagement\Rohto\Production\UNapp\controller\workflow\run\utility
TaskID apv_spv1_check

1. Sudah bisa posting ke absence halfday dengan ketentuan seperti diatas

yang masih ada bug:

1. Belum bisa posting ke overtime saat memilih assignment notes Leave

2. Fungsi Assignment Note Cash belum bisa posting ke overtime(belum di cek lagi)

3. Fungsi Menambahkan Absence halfday ada bug di sequence nya yang tidak konsisten
jika ane ada update akan diinfokan disini.

#4 - 06/25/2021 10:48 AM - Kezia Pawitra Yulianti

erik, ini juga ya tolong dibantu

Tks
#5 - 07/29/2021 01:24 PM - Muhammad Bintar
- File clipboard-202107291321-kgmtv.png added
- File clipboard-202107291321-rs9oh.png added
- File clipboard-202107291322-msaqz.png added
- File clipboard-202107291322-vyi4c.png added

- File testing overtime.mp4 added
- File clipboard-202107291324-fd3)7.png added

ada problem dari penguijian testing ini :

Testing lanjutan dengan overtime 4 jam dengan assignment notes leave berhasil posting tapi saat mengajukan overtime 8 jam, terjadi data yang
meng overwrite data sebelum nya sehingga data nya tidak menambah sequences
Begitupun juga dengan overtime dengan pilihan assignment notes cash.seharusnya hanya posting overtime saja, tapi ke posting jg ke absence half
Minta tolong untuk fixing kembali

#6 - 03/08/2022 10:02 AM - Saswanto Tampan
- Status changed from Assigned to QA Test

- Assignee changed from Alip Sudin to Muhammad Bintar

#7 - 04/22/2022 03:29 PM - Muhammad Bintar
- Status changed from QA Test to Closed

- Assignee changed from Muhammad Bintar to Saswanto Tampan
